//
//  ViewController.swift
//  SpeedTestExample-Swift
//
//  Created by dusmit on 2020/8/31.
//  Copyright © 2020 巨擎网络科技(济南)有限公司. All rights reserved.
//

import UIKit
import SpeedTestSDK

class ViewController: UIViewController {

    private let speed = SpeedTest()
    
    override func viewDidLoad() {
        
        super.viewDidLoad()
        self.title = "SpeedTestSDK"
        let button = UIButton(type: .system)
        button.setTitle("SpeedTestController", for: .normal)
        button.addTarget(self, action: #selector(uiTest), for: .touchUpInside)
        button.frame = CGRect(x: self.view.center.x-100, y: self.view.center.y-20, width: 200, height: 40)
        self.view.addSubview(button)
    }

    /// UI版
    @objc private func uiTest() {
        
        /// 跳转测速页面
        // SpeedTestConfig.pushToSpeedViewController(navigationController: self.navigationController!)
        /// 跳转测速页面，返回测速数据
        SpeedTestConfig.pushToSpeedViewController(navigationController: self.navigationController!) { (result) in
            // 上传速度、下载速度
            print("download: "+"\(result["download"] ?? "")" + "\nupload: "+"\(result["upload"] ?? "")")
            // ping、抖动、丢包(%)
            print("ping: "+"\(result["ping"] ?? "")" + "\njitter: "+"\(result["jitter"] ?? "")" + "\nloss: "+"\(result["loss"] ?? "")")
            // Wi-Fi名
            print("wifi_name: "+"\(result["wifi_name"] ?? "")")
        }
    }
    
    /// 接口版
    @objc private func apiTest() {
        
        speed.speedUnit = .Mbps
        speed.autoSwitchNode = true
        speed.fastSpeed = true
        speed.threshold = 1.0
        speed.speedTest(pingResult: { (ping, jitter, loss) in
            DispatchQueue.main.async {
                print("ping: \(ping), jitter: \(jitter), loss: \(loss)")
            }
        }, speed: { (type, speed) in
            DispatchQueue.main.async {
                print("speed: \(speed)")
            }
        }, finish: { (type, aveSpeed, flow) in
            DispatchQueue.main.async {
                print("aveSpeed: \(aveSpeed)")
            }
        }) { (error) in
                    
        }
    }
}

