//
//  AppDelegate.m
//  SpeedTestExample
//
//  Created by dusmit on 2020/8/31.
//  Copyright © 2020 巨擎网络科技(济南)有限公司. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"
#import <SpeedTestSDK/SpeedTestSDK-Swift.h>

@interface AppDelegate ()

@property (assign, nonatomic) UIBackgroundTaskIdentifier backgroundTaskIdentifier;

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {

    [SpeedTestConfig registerAppWithAppId:@"请输入你得AppId" appKey:@"请输入你得AppKey" error:^(NSError * _Nullable error) { }];
    // [SpeedTestConfig setCurveColor:UIColor.redColor];
    
    self.backgroundTaskIdentifier = UIBackgroundTaskInvalid;
    self.window = [[UIWindow alloc] initWithFrame: [UIScreen mainScreen].bounds];
    self.window.backgroundColor = UIColor.whiteColor;
    self.window.rootViewController = [[UINavigationController alloc] initWithRootViewController:[[ViewController alloc] init]];
    [self.window makeKeyAndVisible];
    return YES;
}

// 当应用程序进入后台的时候调用
- (void)applicationDidEnterBackground:(UIApplication *)application {
    
    NSLog(@"%s",__func__);
    if (self.backgroundTaskIdentifier == UIBackgroundTaskInvalid) {
        self.backgroundTaskIdentifier = [application beginBackgroundTaskWithExpirationHandler:^{
            if (self.backgroundTaskIdentifier != UIBackgroundTaskInvalid) {
                [[UIApplication sharedApplication] endBackgroundTask:self.backgroundTaskIdentifier];
                self.backgroundTaskIdentifier = UIBackgroundTaskInvalid;
            }
        }];
    }
}


@end
